## class osgParticle::VariableRateCounter

## Inheritance:

### Public Methods

virtual const char* libraryName() const
virtual const char* className() const
virtual bool isSameKindAs(const osg::Object* obj) const
inline VariableRateCounter()
inline VariableRateCounter(const VariableRateCounter &copy, const osg::CopyOp &copyop)
inline const rangef& getRateRange() const
inline void setRateRange(const rangef &r)
inline void setRateRange(float minrange, float maxrange)

### Protected Methods

virtual ~VariableRateCounter()

### Inherited from Counter:

### Public Methods

virtual int numParticlesToCreate(double dt) const

### Protected Methods

Counter& operator=(const Counter &)

## Documentation

`virtual const char* libraryName() const`

`virtual const char* className() const`

`virtual bool isSameKindAs(const osg::Object* obj) const`

`virtual ~VariableRateCounter()`

`inline VariableRateCounter()`

`inline VariableRateCounter(const VariableRateCounter &copy, const osg::CopyOp &copyop)`

`inline const rangef& getRateRange() const`

`inline void setRateRange(const rangef &r)`

`inline void setRateRange(float minrange, float maxrange)`

Direct child classes:
  RandomRateCounter

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.